// @refresh reload
import { Router } from "@solidjs/router";
import { FileRoutes } from "@solidjs/start";
import { Suspense } from "solid-js";
import "./app.css";
import RootContexts from "~/components/shared/RootContexts";

export default function App() {
  return (
    <Router
      root={(props) => (
        <>
          <Suspense fallback={<div class="news-list-nav">Loading...</div>}>
            <RootContexts>{props.children}</RootContexts>
          </Suspense>
        </>
      )}
    >
      <FileRoutes />
    </Router>
  );
}
