import Menu from "~/components/shared/Menu";
import type { MenuItem } from "~/types/common";

type FooterProps = {
  menuItems: MenuItem[];
};

export default function Footer(props: FooterProps) {
  return (
    <>
      <footer
        class="footer"
        role="contentinfo"
        data-ga-zone="footer"
        data-test="footer"
      >
        <h1>Footer</h1>
        <Menu name="footer" items={props.menuItems} class="menu-footer" />
      </footer>
    </>
  );
}
