import type { RouteDefinition, RouteSectionProps } from "@solidjs/router";
import { createAsync } from "@solidjs/router";
import { getProgram } from "~/lib/fetcher";
import { Show, Suspense } from "solid-js";

export const route = {
  load({ params }) {
    void getProgram(params.uuid);
  },
} satisfies RouteDefinition;

export default function ProgramRoute(props: RouteSectionProps) {
  const program = createAsync(() => getProgram(props.params.uuid), {
    name: "program",
  });
  return (
    <div>
      <Suspense>
        <Show when={program()}>
          <h1>{program()?.title}</h1>
          <p>{program()?.field_classified}</p>
          <pre>{/*JSON.stringify(program(), null, 2)*/}</pre>
        </Show>
      </Suspense>
    </div>
  );
}
