// Request types
import type { String } from "ts-toolbelt";

/* eslint-disable @typescript-eslint/ban-types */
export type Prettify<T> = {
  [K in keyof T]: T[K];
} & {};
/* eslint-enable */

export type MetaData = {
  cache?: CacheMetaData;
  // Is the response originating from the cache?
  fromCache?: boolean;
  // Is the content published?
  published?: boolean;
};

export type CacheMetaData = {
  tags: string[];
  contexts: string[];
  "max-age": number;
};

export type MenuItem = {
  name: string;
  sanitized: string;
  href: string;
  expanded: boolean;
  children?: MenuItem[];
};

export type MenuResponse = {
  meta: MetaData;
  data: MenuItem[];
};

export type Settings = {
  phone_number: string;
  solid_config: {
    programs_enabled: boolean;
    // search_enabled: boolean;
    // landings_enabled: boolean;
    // geographies_enabled: boolean;
    // pocs_enabled: boolean;
    // pages_enabled: boolean;
    // advices_enabled: boolean;
    // plot_enabled: boolean;
    // parkings_enabled: boolean;
    // front_enabled: boolean;
  };
};

export enum RealEstateContext {
  Unknown = "unknown",
  Dwell = "dwell",
  Invest = "invest",
}

export type RsPathType = String.Replace<
  keyof Settings["solid_config"],
  "_enabled",
  ""
>;
