import { defineConfig } from "@solidjs/start/config";

import postcssPresetEnv from "postcss-preset-env";
import postcssMixins from "postcss-preset-env";
import postcssNesting from "postcss-nesting";
import solidSvg from "vite-plugin-solid-svg";

import devtools from "solid-devtools/vite";

process.env.NODE_TLS_REJECT_UNAUTHORIZED = "0";

export default defineConfig({
  plugins: [
    devtools({
      /* features options - all disabled by default */
      autoname: true, // e.g. enable autoname
    }),
    solidSvg(),
  ],
  css: {
    postcss: {
      plugins: [
        postcssMixins,
        postcssPresetEnv(),
        postcssNesting({
          noIsPseudoSelector: true,
        }),
      ],
    },
  },
  ssr: {
    noExternal: ["solid-toast", "@solid-aria/overlays"],
  },
  start: {
    // @fixme be aware of typescript issue https://github.com/nksaraf/vinxi/issues/36
    islands: true,
  },
});
